﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;
using System.Threading;

namespace GtalkWindow
{
    public partial class Form1 : Form
    {
        int scrnWidth = 0;
        int scrnHeight = 0;
        int taskBarHeight = 0;
        bool Isonline = true;
        bool StartAnimate = false;
        System.Windows.Forms.Timer effecttime;
        int temp = 100;
        public Form1()
        {
            InitializeComponent();
            scrnWidth = SystemInformation.PrimaryMonitorSize.Width;
            scrnHeight = SystemInformation.PrimaryMonitorSize.Height;
            taskBarHeight = SystemInformation.PrimaryMonitorSize.Height - SystemInformation.WorkingArea.Height;
            effecttime = new System.Windows.Forms.Timer();
            effecttime.Interval = 800;
            effecttime.Tick += new EventHandler(effecttime_Tick);
            ntIdicator.Icon = GtalkWindow.Properties.Resources.online;
            effecttime.Enabled = true;
            ntIdicator.ShowBalloonTip(60000, "Gtalk", "click me", ToolTipIcon.Info);
        }

        void effecttime_Tick(object sender, EventArgs e)
        {
            //animate the window
            if (StartAnimate)
            {
                effecttime.Interval = 1;
                this.SetDesktopLocation(scrnWidth-this.Width, scrnHeight - temp);
                temp=temp+2;
                if (temp >= this.Height + taskBarHeight)
                {
                    StartAnimate = false;
                    effecttime.Enabled = false;
                    effecttime.Interval = 800;
                }
            }

            //animate the icons
            if (Isonline && !StartAnimate)
            {
                ntIdicator.Icon = GtalkWindow.Properties.Resources.offline;
                Isonline = false;
            }
            else
            {
                ntIdicator.Icon = GtalkWindow.Properties.Resources.online;
                Isonline = true;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //start the icon animation
            effecttime.Enabled = true;
            this.Location = new Point(scrnWidth - this.Width, scrnHeight+10);
        }

        private void ntIdicator_DoubleClick(object sender, EventArgs e)
        {
            //strat the window animation
            StartAnimate = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            LinearGradientBrush brsh = new LinearGradientBrush(this.ClientRectangle, Color.FromArgb(255, 255, 255), Color.FromArgb(245, 245, 255), 90);
            e.Graphics.FillRectangle(brsh,this.ClientRectangle);
        }
    }
}
